summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2014-11-07 17:49:25 +0100
committer Willy Sudiarto Raharjo2014-11-08 00:30:18 +0100
commit439cc7fe8640f68dc6d1c7ee71d4fc284c0a81f7 (patch)
tree161659b58f2a016e8527442f265f321b2db46281
parentcde91ce916433f6d923eb8f9033ba659cb9eeb1e (diff)
downloadslackbuilds-439cc7fe8640f68dc6d1c7ee71d4fc284c0a81f7.tar.gz
libraries/lensfun-legacy: Added (photographic lens database).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/lensfun-legacy/README9
-rw-r--r--libraries/lensfun-legacy/lensfun-legacy.SlackBuild98
-rw-r--r--libraries/lensfun-legacy/lensfun-legacy.info10
-rw-r--r--libraries/lensfun-legacy/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/lensfun-legacy/README b/libraries/lensfun-legacy/README
new file mode 100644
index 0000000000..26b99c0fe7
--- /dev/null
+++ b/libraries/lensfun-legacy/README
@@ -0,0 +1,9 @@
+lensfun is a library that provide a open source database of photographic
+lenses and their characteristics, also provides a set of algorithms for
+correcting images based on detailed knowledge of lens properties and
+calibration data.
+
+This package provides legacy version of lensfun which is still needed
+by other packages.
+
+NOTE: This package conflicts with lensfun, so only install ONE of them.
diff --git a/libraries/lensfun-legacy/lensfun-legacy.SlackBuild b/libraries/lensfun-legacy/lensfun-legacy.SlackBuild
new file mode 100644
index 0000000000..3dbe49839a
--- /dev/null
+++ b/libraries/lensfun-legacy/lensfun-legacy.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+#
+# Slackware build script of lensfun-legacy
+
+# Copyright 2009 Ricardson Williams <ricardsonwilliams at yahoo.com.br>
+# Copyright 2013-2014 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lensfun-legacy
+SRCNAM=lensfun
+VERSION=${VERSION:-0.2.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DBUILD_FOR_SSE=ON \
+ -DBUILD_FOR_SSE2=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README docs/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/lensfun-legacy/lensfun-legacy.info b/libraries/lensfun-legacy/lensfun-legacy.info
new file mode 100644
index 0000000000..14610ee19d
--- /dev/null
+++ b/libraries/lensfun-legacy/lensfun-legacy.info
@@ -0,0 +1,10 @@
+PRGNAM="lensfun-legacy"
+VERSION="0.2.8"
+HOMEPAGE="http://lensfun.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/lensfun/files/0.2.8/lensfun-0.2.8.tar.bz2"
+MD5SUM="db2988505e7432c6b331aa597789c639"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/libraries/lensfun-legacy/slack-desc b/libraries/lensfun-legacy/slack-desc
new file mode 100644
index 0000000000..981ad2baca
--- /dev/null
+++ b/libraries/lensfun-legacy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lensfun-legacy: lensfun-legacy (photographic lens characteristics database library)
+lensfun-legacy:
+lensfun-legacy: lensfun is a library that provide a open source database of
+lensfun-legacy: photographic lenses and their characteristics also provides
+lensfun-legacy: a set of algorithms for correcting images based on detailed
+lensfun-legacy: knowledge of lens properties and calibration data.
+lensfun-legacy:
+lensfun-legacy: Homepage: http://lensfun.sourceforge.net/
+lensfun-legacy:
+lensfun-legacy:
+lensfun-legacy: